    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
    </style>
<%

  ServiceManagerChange updatedChange = (ServiceManagerChange)session.getAttribute("change");
  String changeID = updatedChange.getTextValue("header,ChangeID");

  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction("getChangeRecords");
  esr.addToken("changeID", changeID);
  esr.addToken("action", "RetrieveChangeActivityListRequest");
  %>
  <%@ include file="sendRequest.jsp"%>
  <%
  List<ServiceManagerChange> changeActivities = new ArrayList<ServiceManagerChange>();
  String message = "";
  if(resps.getResponse() instanceof String)
    message = "<div class=\"msg-error\">"+resps.getResponse()+"</div>";
  else
    changeActivities = (List<ServiceManagerChange>)resps.getResponse();

  if ( changeActivities.size() > 0 )
  {

  %>
    <%
    for ( ServiceManagerChange activity : changeActivities )
    {
        String activityType = activity.getTextValue("Type", true);
        String activityDate = activity.getTextValue("DateStamp", true);
        String activityOperator = activity.getTextValue("Operator", true);
        String activityText = activity.getListValue("Description", true).get(0);
    %>

    <table class="no-border" style="width: 250px;">
       <tr>
         <td style="vertical-align: middle;" class="align-right"><label>Type:</label></td>
         <td style="width: 195px;"><%=activityType%></td>
       </tr>
       <tr>
         <td style="vertical-align: middle;" class="align-right"><label>Date:</label></td>
         <td style="width: 195px;"><%=activityDate%></td>
       </tr>
       <tr>
         <td style="vertical-align: middle;" class="align-right"><label>Oper:</label></td>
         <td style="width: 195px;"><%=activityOperator%></td>
       </tr>
       <tr>
         <td style="vertical-align: middle;" class="align-right"><label>Desc:</label></td>
         <td style="width: 195px;"><%=activityText%></td>
       </tr>
     </table>
     <hr/>
    <%

    }
  }
  else
  {
     if("".equals(message))
     {
        out.print( "<div class=\"msg-success\">No Activities</div>" );
     }
     else
     {
        out.print(message);
     }
  }

%>
