<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/general.css");
    </style>
  </head>

  <body>
    <div id="header">
      <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="xMatters mobile access" border="0" align="right" />
      <h1>Update Conflicts</h1>
    </div>
    <div id="content">
      The change has already been updated.
      <br>
      Please review the following conflicts.
      <form action="<%=response.encodeURL("diffChange.jsp")%>" method="POST">
        <table>
          <tr>
            <th>Field</th>
            <th>Yours</th>
            <th>Servers</th>
          </tr>
          <%
          Map<String, String> updateFields = updatedChange.getUpdateMap();
          for(String field: updateFields.keySet())
          {
            if(updatedChange.isTextField(field)){
              String updatedValue = updatedChange.getTextValue(field);
              Object oldValue = updatedChange.getOriginalMap().get(field);
              Object newValue = oldChange.getOriginalMap().get(field);
              if(!oldValue.equals(newValue)){
                hasConflict = true;
                %>
                <tr>
                  <td><%=field%></a></td>
                  <td><%=updatedValue%></td>
                  <td><%=newValue%></td>
                </tr>
                <%
              }
            }
          }
          %>
        </table>
        <input type="submit" name="cancelUpdate" value="Cancel"/>
        <input type="submit" name="forceUpdate" value="Update"/>
      </form>
    </div>
  </body>
</html>
