<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="xMatters mobile access">
      @import url("/mg/css/general.css");
      label.required {
      	font-weight: bold;
      	color: #990033;
      }
    </style>
  </head>

  <body>
    <form name="form" action="<%=response.encodeURL("action.jsp")%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="xMatters mobile access" border="0" align="right" />
        <% String pageURL = "updateChange.jsp"; %>
        <input type="hidden" name="pageURL" value="<%=pageURL%>"/>
        <%
        if(request.getParameter("tab") != null)
        {
          %>
          <input type="hidden" name="tab" value="<%=request.getParameter("tab")%>"/>
          <%
        }
        ServiceManagerChange change = (ServiceManagerChange)session.getAttribute("change");
        Map<String, String> fieldTypes = new HashMap<String, String>();
        Map<String, String> fields = new LinkedHashMap<String, String>();
        Collection<String> requiredFields = new ArrayList<String>();
        if(change != null)
        {
            %>
            <%@ include file="updateFields.jsp"%>
            <%
          /*
          if("create".equals(action))
          {
            %>
            <%@ include file="createFields.jsp"%>
            <%
          }
          else
          {
            %>
            <%@ include file="updateFields.jsp"%>
            <%
          }
          */
          %>
          <br><%
          String header = "New Change";
          //if(!"create".equals(action))
          //{
            header = change.getTextValue("header,ChangeID")+" - "+change.getTextValue("header,Title");
            int MAX_HEADER = 30;
            if(header.length() > MAX_HEADER)
              header = header.substring(0, MAX_HEADER-3)+"...";
          //}
          out.print(header);
        }
        %>
      </div>

      <div id="content">
        <%
        if(request.getParameter("errorMessage") != null)
          out.print("<div class=\"msg-error\">"+request.getParameter("errorMessage")+"</div>");
        else if (request.getParameter("message") != null)
          out.print("<div class=\"msg-success\">"+request.getParameter("message")+"</div>");

        if(change != null){


          if ( "Activities".equals(request.getParameter("tab")) )
          {
            %>
            <%@include file="activities.jsp"%>
            <%
          }
          else if ( "Approvals".equals(request.getParameter("tab")) )
          {
            %>
            <%@include file="approvals.jsp"%>
            <%
          }
          else {
          %>

          <table class="no-border">
            <%
            for(String key : fields.keySet())
            {
              String name = key;
              String label = fields.get(key);
              String labelAttr = "";
              if(requiredFields.contains(name))
                labelAttr = " class=\"required\"";
            %>
            <tr>
              <a name="<%=key%>"/>
              <td style="vertical-align: middle;" class="align-right"><label<%=labelAttr%>><%=label%>:</label></td>
              <td>
                <%
                if("ReadOnly".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  if(change.isListField(name))
                  {
                    for(String value : change.getListValue(name, true))
                      out.println(value+"<br>");
                  }
                  else
                  {
                    out.print(change.getTextValue(name, true));
                  }
                }
                else if("WriteOnly".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  String value = "";
                  if(change.getUpdateMap().get(key) != null)
                    value = change.getUpdateMap().get(key);
                  %>
                  <textarea name="<%=name%>"><%=value%></textarea>
                  <%
                }
                else if("Text".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  if(change.isListField(name))
                  {
                    %><textarea name="<%=name %>"><%
                    boolean first = true;
                    for(String value : change.getListValue(name)){
                      if(!first)
                        out.println("\n");
                      else
                        first = false;
                      out.print(value);
                    }
                    %></textarea><%
                  }
                  else
                  {
                    %>
                    <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                    <%
                  }
                }
                else if("Boolean".equalsIgnoreCase(fieldTypes.get(key))){
                  Boolean value = new Boolean(change.getTextValue(key));
                  %>
                  <input type="hidden" name="<%=name%>" value="false"/>
                  <input type="checkbox" name="<%=name%>" value="true" <%if(value) out.println("checked=\"true\"");%> />
                  <%
                }
                else if("ReadOnlyBoolean".equalsIgnoreCase(fieldTypes.get(key))){
                  Boolean value = new Boolean(change.getTextValue(key));
                  %>
                  <input type="hidden" name="<%=name%>" value="<%=change.getTextValue(key)%>"/>
                  <input type="checkbox" disabled="true" name="<%=name%>" value="true" <%if(value) out.println("checked=\"true\"");%> />
                  <%
                }
                else if("List".equalsIgnoreCase(fieldTypes.get(key)) | fieldTypes.get(key).startsWith("DynamicList"))
                {
                  String dependsOn = fieldTypes.get(key).replaceFirst("DynamicList-", "");
                  if(!"List".equalsIgnoreCase(dependsOn) && !"DynamicList".equalsIgnoreCase(dependsOn))
                    change.updateDynamicList(key, dependsOn);
                  if(change.getList(key) != null)
                  {
                    String onchange = "";
                    if(fieldTypes.get(key).startsWith("DynamicList"))
                      onchange = "onchange=\"document.form.submit();\"";
                        //Add the following to send the page to the fields anchor
                        //document.form.action = document.form.action+'#"+key+"';
                    %>
                    <select name="<%=name%>" <%=onchange%>>
                      <%
                      if(!requiredFields.contains(name))
                      {
                        %>
                        <option value=""></option>
                        <%
                      }
                      Collection<String> options = change.getList(key);
                      for(String value: options)
                      {
                        String attrs = " value=\""+value+"\" ";
                        if(value.equals(change.getTextValue(name, true)))
                          attrs += "selected=\"selected\" ";
                        String option = value;
                        if(option.length() > 23)
                          option = option.substring(0,20)+"...";
                        out.print("<option"+attrs+">"+option+"</option>");
                      }
                      %>
                    </select>
                    <%
                  }
                  else
                  {
                    %>
                    <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                    <%
                  }
                }
                else if("Date".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  String value = XMLDateParser.getDisplayDate(change.getTextValue(key));
                  %>
                  <input type="text" name="<%=name+"-DATE"%>" value="<%=value%>"/>
                  <br><i>mm/dd/yy hh:mm in GMT</i>
                  <%
                }
                else if("ReadOnlyDate".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  String value = XMLDateParser.getDisplayDate(change.getTextValue(key));
                  out.print(value);
                }
                else if("Operator".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchOperators-<%=name%>" value="..."/>
                  <%
                }
                else if("Assignment".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchAssignments-<%=name%>" value="..."/>
                  <%
                }
                else if("Contact".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchContacts-<%=name%>" value="..."/>
                  <%
                }
                else if("Category".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchCategory-<%=name%>" value="..."/>
                  <%
                }
                else if("Subcategory".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchSubcategory-<%=name%>" value="..."/>
                  <%
                }
                else if("ProductType".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchProductType-<%=name%>" value="..."/>
                  <%
                }
                else if("ProblemType".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchProblemType-<%=name%>" value="..."/>
                  <%
                }
                else if("ConfigItem".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchConfigItem-<%=name%>" value="..."/>
                  <%
                }
                else if("Type".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchType-<%=name%>" value="..."/>
                  <%
                }
                else if("ResolutionCode".equalsIgnoreCase(fieldTypes.get(key)))
                {
                  %>
                  <input type="text" name="<%=name%>" value="<%=change.getTextValue(name, true)%>"/>
                  <input type="submit" name="searchResolutionCode-<%=name%>" value="..."/>
                  <%
                }
                %>
              </td>
            </tr>
            <%
            }
            %>
            <tr>
              <td class="no-border"></td>
              <% if (action != null) { %>
              <td class="no-border"><input type="submit" name="action" value="<%=action%>" /></td>
              <% } %>
            </tr>
          </table>
          <%
          }
        }
        %>
      </div>
    </form>
    <jsp:include page="includes/footer.jsp">
      <jsp:param name="prevlist" value="true" />
    </jsp:include>
    
  </body>
</html>
